<?php

/**
 * formBuilder EditorJS field
 *
 * @package BFE;
 */
namespace BFE\Field;

use  BFE\Form ;
defined( 'ABSPATH' ) || exit;
class FileField
{
    public static  $field_label = 'File' ;
    public static  $field_type = 'file' ;
    public static function init()
    {
        add_filter( 'admin_post_form_formBuilder_settings', [ __CLASS__, 'add_field_settings' ] );
    }
    
    /**
     * This settings for wp admin form builder
     *
     * @param [type] $data
     * @return void
     */
    public static function add_field_settings( $data )
    {
        $data['formBuilder_options']['disableProFields'][] = self::$field_type;
        $data['formBuilder_options']['defaultControls'][] = self::$field_type;
        /**
         * Disabling default settings
         */
        $data['formBuilder_options']['typeUserDisabledAttrs'][self::$field_type] = [ 'subtype', 'access' ];
        return $data;
    }
    
    /**
     * Add post image selection
     *
     * @return void
     */
    public static function add_field_to_front_form( $post_id, $attributes, $field )
    {
        if ( $field['type'] !== self::$field_type ) {
            return;
        }
        require FE_Template_PATH . 'front-editor/file.php';
    }
    
    /**
     * Image check
     *
     * @param [type] $post_data
     * @param [type] $data
     * @param [type] $file
     * @return void
     */
    public static function save_field_to_front_form( $post_id )
    {
        if ( !isset( $_POST['file_fields'] ) ) {
            return;
        }
        if ( empty($_POST['file_fields']) ) {
            return;
        }
        foreach ( $_POST['file_fields'] as $name => $value ) {
            update_post_meta( $post_id, $name, $value );
        }
    }

}
FileField::init();