export default ($, SlimSelect) => {

    window.fe_hooks.add_action('init_post_form', (options) => {
        add_slim_to_selects()
    })

    function add_slim_to_selects() {
        let deselectLabel = '<span >✖</span>';

        $('.taxonomy-select').each((index, element) => {
            let id = $(element).attr('id'),
                placeholder = $(element).data('placeholder'),
                add_new = $(element).data('add-new');

            new SlimSelect({
                text: 'text',
                select: `#${id}`,
                placeholder: placeholder,
                hideSelectedOption: true,
                deselectLabel: deselectLabel,
                ...(add_new
                    && { addable: (value) => { return AddableSlimSelect(value) } }
                )
            })
        })
    }


    /**
     * New value adding function
     * @param {*} value 
     */
    function AddableSlimSelect(value) {
        // // return false or null if you do not want to allow value to be submitted
        // if (value.length < 3) {
        //     callback('Need 3 characters')
        //     return
        // }

        // Optional - Return a valid data object. See methods/setData for list of valid options
        return {
            text: value,
            value: value.toLowerCase()
        }
    }

}
